summaryrefslogtreecommitdiff
path: root/package/base-files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2013-07-31 14:10:34 +0000
committerJo-Philipp Wich <jow@openwrt.org>2013-07-31 14:10:34 +0000
commit2a1ccf1830ee489212e3696995ea72471ab59200 (patch)
tree0ff8df8771a5b8377b43d6d54ffb38cdff565af9 /package/base-files
parent91b814221c65901d158e9b1a3ecdcc953873f9d4 (diff)
downloadmtk-20170518-2a1ccf1830ee489212e3696995ea72471ab59200.zip
mtk-20170518-2a1ccf1830ee489212e3696995ea72471ab59200.tar.gz
mtk-20170518-2a1ccf1830ee489212e3696995ea72471ab59200.tar.bz2
base-files: abort sysupgrade if file specified with --restore-config is not found
SVN-Revision: 37624
Diffstat (limited to 'package/base-files')
-rw-r--r--package/base-files/Makefile2
-rwxr-xr-xpackage/base-files/files/sbin/sysupgrade7
2 files changed, 7 insertions, 2 deletions
diff --git a/package/base-files/Makefile b/package/base-files/Makefile
index dcae920..93941b9 100644
--- a/package/base-files/Makefile
+++ b/package/base-files/Makefile
@@ -11,7 +11,7 @@ include $(INCLUDE_DIR)/kernel.mk
include $(INCLUDE_DIR)/version.mk
PKG_NAME:=base-files
-PKG_RELEASE:=144
+PKG_RELEASE:=145
PKG_FILE_DEPENDS:=$(PLATFORM_DIR)/ $(GENERIC_PLATFORM_DIR)/base-files/
PKG_BUILD_DEPENDS:=opkg/host
diff --git a/package/base-files/files/sbin/sysupgrade b/package/base-files/files/sbin/sysupgrade
index 49c34b8..f6b628e 100755
--- a/package/base-files/files/sbin/sysupgrade
+++ b/package/base-files/files/sbin/sysupgrade
@@ -140,7 +140,12 @@ if [ -n "$CONF_BACKUP" ]; then
exit $?
fi
-if [ -f "$CONF_RESTORE" ] || [ "$CONF_RESTORE" = "-" ]; then
+if [ -n "$CONF_RESTORE" ]; then
+ if [ "$CONF_RESTORE" != "-" ] && [ ! -f "$CONF_RESTORE" ]; then
+ echo "Backup archive '$CONF_RESTORE' not found."
+ exit 1
+ fi
+
[ "$VERBOSE" -gt 1 ] && TAR_V="v" || TAR_V=""
tar -C / -x${TAR_V}zf "$CONF_RESTORE"
exit $?